program FtpCopy;

uses
  GnuGetText in '..\..\..\Source\Units\GnuGetText.pas',
  GnuGetTextInit in '..\..\..\Source\Units\GnuGetTextInit.pas',
  Forms,
  Graphics,
  FtpCopyMain in 'FtpCopyMain.pas' {MainForm},
  FtpDlg in '..\..\..\Source\dialoge\FtpDlg.pas' {FtpDialog},
  PwdDlg in '..\..\..\Source\dialoge\PwdDlg.pas' {PasswordDialog},
  FtpProxyDlg in '..\..\..\Source\dialoge\FtpProxyDlg.pas' {FtpProxyDialog},
  ShellDirDlg in '..\..\..\Source\dialoge\ShellDirDlg.pas' {ShellDirDialog},
  OpenFilesDlg in '..\..\..\Source\Dialoge\OpenFilesDlg.pas' {OpenFilesDialog},
  TransferStat in '..\..\..\Source\Dialoge\TransferStat.pas' {TransferStatus};

{$R *.res}

begin
  TP_GlobalIgnoreClass(TFont);
  // Subdirectory in AppData for user configuration files and supported languages
  InitTranslation('',['de','en']);
   
  Application.Initialize;
  Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(TFtpDialog, FtpDialog);
  Application.CreateForm(TPasswordDialog, PasswordDialog);
  Application.CreateForm(TFtpProxyDialog, FtpProxyDialog);
  Application.CreateForm(TShellDirDialog, ShellDirDialog);
  Application.CreateForm(TOpenFilesDialog, OpenFilesDialog);
  Application.CreateForm(TTransferStatus, TransferStatus);
  MainForm.CheckRemote;
  Application.Run;
end.
